class CompanyCollection {
   constructor() {
      this.data = [];
   }

   async load(parent) {
      // retrieve list from localStorage or external API
      let data = localStorage.getItem('companies');
      if (data) {
         data = JSON.parse(data);
      } else {
         const url = "https://www.randyconnolly.com/funwebdev/3rd/api/stocks/companies.php";
         const response = await fetch(url);
         data = await response.json();
         localStorage.setItem('companies', JSON.stringify(data) );
      }

      
      this.data = data;

      this.renderAsList(this.data, parent);
      return data;
   }

   renderAsList(data, parent) {
      parent.innerHTML = "";
      data.forEach( c => {
         const li = document.createElement('li');
         li.textContent = c.name;
         li.setAttribute('data-id', c.symbol);
         parent.appendChild(li);
      })
      return parent;
   }

   filterTheList(search, parent) {
      const re = new RegExp(search, 'i');
      const filteredData = this.data.filter( c => c.name.match(re));

      this.renderAsList(filteredData, parent);
   }

   resetList(parent) {
      this.renderAsList(this.data, parent);
   }


   findBySymbol(symbol) {
      return this.data.find(c => c.symbol == symbol);
   }

}

export { CompanyCollection };