import React from 'react';
import { Layout, Menu } from 'antd';
import {   HomeOutlined,  UserOutlined,  BarChartOutlined } from '@ant-design/icons';
import { Link } from 'react-router-dom';

const LeftSideMenu = (props) => {

  const { Sider } = Layout;

   const [collapsed, setCollapsed] = React.useState(false);

   const onCollapse = collapsed => {
      setCollapsed(collapsed);
   }

   return (
        <Sider collapsible collapsed={collapsed} onCollapse={onCollapse}>
          <div className="logo" />
          <Menu theme="dark" defaultSelectedKeys={['1']} mode="inline">
            <Menu.Item key="1" icon={<HomeOutlined />}>
              <Link to='/home'>
                Home
              </Link>
            </Menu.Item>
            <Menu.Item key="2" icon={<UserOutlined />}>
              <Link to='/client'>
                Client
              </Link>
            </Menu.Item>
            <Menu.Item key="3" icon={<BarChartOutlined />}>
              <Link to='/company'>
                Company
              </Link>
            </Menu.Item>
          </Menu>
        </Sider>
   );

};

export default LeftSideMenu;
