import { Card, Typography, Table } from 'antd';

const { Title } = Typography;

const PortfolioDetails = (props) => {

   const columns = [
      {
        title: 'Symbol',
        dataIndex: 'symbol',
        key: 'symbol',
      },
      {
         title: 'Name',
         dataIndex: 'name',
         key: 'name',
       },      
      {
        title: 'Amount',
        dataIndex: 'amount',
        key: 'amount',
      },
      {
         title: 'Current $',
         dataIndex: 'close',
         render: (text, row, index) => {
            return <span>${text.toFixed(2)}</span>
         },
         key: 'close',
       },
       {
         title: 'Total $',
         dataIndex: 'value',
         render: (text, row, index) => {
            return <span>${text.toFixed(2)}</span>
         },         
         key: 'value',
       }             
    ];   

   // calculate 
   return (
      <Card title="Portfolio Details" bordered={false} style={{marginTop: 16}}>
         
         <Table dataSource={props.portfolio} columns={columns} />
    </Card> 

   );
};

export default PortfolioDetails;