import { Card, Typography, Descriptions } from 'antd';

const { Title } = Typography;

const PortfolioSummary = (props) => {

   // calculate summary values
   let numStocks = 0;
   let portTotalValue = 0;
   let numItems = 0;
   for (let p of props.portfolio) {
      numItems++;
      numStocks += p.amount;
      portTotalValue += p.value;
   }

   return (
      <Card title="Portfolio Summary" bordered={false} style={{marginTop: 16}}>
         
         <Descriptions bordered layout="vertical">
            <Descriptions.Item label="Number Portfolio Items">{numItems}</Descriptions.Item>
            
         </Descriptions>

         <Descriptions bordered layout="vertical">
            <Descriptions.Item label="Total Number of Stocks">{numStocks}</Descriptions.Item>
            
         </Descriptions>         

         <Descriptions bordered layout="vertical">
         <Descriptions.Item label="Total Current Portfolio Value">${new Intl.NumberFormat().format(portTotalValue)}</Descriptions.Item>
         </Descriptions>
    </Card> 

   );
};

export default PortfolioSummary;