import { Card, Typography } from 'antd';
import { Row, Col } from 'antd';
import React from 'react';

const { Title } = Typography;

const TopStocks = (props) => {



   if (props.portfolio.length > 0) {
      // sort portfolio
      const sorted = props.portfolio.sort( (a,b) => a.value > b.value ? -1: 1 );
      const opt = {style: "currency",currency: "USD"};
      //console.dir(sorted);
      return (
         <div className="card_container">
            <Row gutter={16}>
               <Col span={8}>
                  <Card title={sorted[0].symbol} bordered={false}>
                     { Intl.NumberFormat("en-US", opt).format(sorted[0].value)}
                  </Card>
               </Col>
               <Col span={8}>
                  <Card title={sorted[1].symbol} bordered={false}>
                     { Intl.NumberFormat("en-US", opt).format(sorted[1].value)}
                  </Card>
               </Col>
               <Col span={8}>
               <Card title={sorted[2].symbol} bordered={false}>
                     { Intl.NumberFormat("en-US", opt).format(sorted[2].value)}
                  </Card>
               </Col>
            </Row>
         </div>
      );
   } else
      return null;

};

export default TopStocks;