<?php
include 'includes/travel-config.inc.php';


$continentdb = new ContinentDB($pdo);
$continents = $continentdb->getAll();

$countrydb = new CountryDB($pdo);
$countries = $countrydb->getWithImages();

$imagedb = new ImageDB($pdo);

// see if we should filter by continent
if (isset($_GET['continent']) && ! empty($_GET['continent']) ) {
  $images = $imagedb->findByContinent($_GET['continent']);
}
// see if we should filter by a country
else if (isset($_GET['country']) && ! empty($_GET['country'])) {
  $images = $imagedb->findByCountry($_GET['country']);  
}
else if (isset($_GET['title']) && ! empty($_GET['title'])) {
  $images = $imagedb->findLikeTitle($_GET['title']);  
}
else {
  $images = $imagedb->getAll();
}

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>Chapter 14</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
   
    <link rel="stylesheet" href="css/styles.css" />

</head>

<body>
    <header>
        <form action="ch14-proj1.php" method="get" >
          <div class="form-inline">
          <select name="continent" >
            <option value="0">Select Continent</option>
            <?php while ($con = $continents->fetch()) { 
              echo '<option value=' . $con['ContinentCode'] . '>' . $con['ContinentName'] . '</option>';
            } ?>
          </select>     
          
          <select name="country">
            <option value="0">Select Country</option>
            <?php while ($country = $countries->fetch()) { 
              echo '<option value=' . $country['ISO'] . '>' . $country['CountryName'] . '</option>';
            } ?>
          </select>    
          <input type="text"  placeholder="Search title" name=title>
          <button type="submit" class="btn-primary">Filter</button>
          <button type="submit" class="btn-secondary">Reset</button>
          </div>
        </form>
    </header>   
                                    
    <main >
        <ul >
          <?php while ($img = $images->fetch()) {   ?>
            <li>
                <?php $imageURL = "https://www.randyconnolly.com/funwebdev/3rd/images/travel/square150/" . $img['Path']; ?>
                <a href="detail.php?id=<?php echo $img['ImageID']; ?>" class="img-responsive">
                <img src="<?php echo $imageURL; ?>" alt="<?php echo $img['Title']; ?>">
                </a>
            </li>        
              <?php } ?>
          </ul>       

      
      </main>

</body>

</html>