<?php

include 'includes/travel-config.inc.php';
include 'includes/helpers.inc.php';

$imagedb = new ImageDB($pdo);
if (isset($_GET['id']) && ! empty($_GET['id']) ) {
   $img = $imagedb->findById($_GET['id']);
} else {
   $img = $imagedb->findById(2);
}

$imageURL = "https://www.randyconnolly.com/funwebdev/3rd/images/travel/medium640/" . $img['Path']; 
$exif = json_decode($img['Exif']);
$colors = json_decode($img['Colors']);

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>Chapter 14</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
   
    <link rel="stylesheet" href="css/styles.css" />

</head>

<body>                                    
   <main class="detail">
      <div>
         <img src="<?php echo $imageURL; ?>" alt="<?php echo $img['Title']; ?>">
      </div>
      <div>
         <h1><?= $img['Title']  ?></h1>
         <h3><?= $img['AsciiName'] . ', ' . $img['CountryName'] ?></h3>
         <p><?php echo $img['Description']  ?></p>
         <div class="box">
            <h3>Creator</h3>
            <p><?=  makeLink($img['CreatorURL'], $img['ActualCreator'])  ?></p>
            <p><?= makeLink($img['SourceURL'], $img['SourceURL'])  ?></p>
         </div>
         
         <div class="box">
            <h3>Camera</h3>
            <?php if (isset($exif)) { ?>
               <p><?= $exif->model ?></p>
               <p>ISO <?=$exif->iso ?> | f<?=$exif->aperture ?> | <?=$exif->exposure_time ?> sec</p>
            <?php } else { ?>
               <p>No exif information available</p>
            <?php } ?>
         </div>
         <div class="box">
            <h3>Colors</h3>
            <?= makeColorBoxes($colors) ?>
         </div>
      </div>
   </main>
</body>

</html>