<?php
/*
   Handles database access for the Continent table. 

 */
class ContinentDB {  
    
    private $pdo = null;
    
    private static $baseSQL = "SELECT * FROM Continents";
    private static $constraint = ' order by ContinentName';
    
    public function __construct($connection) {
        $this->pdo = $connection;
    }      

    public function findById($id)
    {
        $sql = self::$baseSQL .  ' WHERE ContinentCode=? ';
        $statement = DatabaseHelper::runQuery($this->pdo, $sql, Array($id));
        return $statement->fetch();
        
    }
    
    public function getAll()
    {
        $sql = self::$baseSQL . self::$constraint;
        $statement = DatabaseHelper::runQuery($this->pdo, $sql, null);
        return $statement;        
    }    

}

?>