<?php
/*
   Handles database access for the Image Details table. 

 */
 class ImageDB {  
    
    private $pdo = null;
    
    //private static $baseSQL = "SELECT * FROM ImageDetails";
    private static $baseSQL = "SELECT ImageID, UserID, Title, Description, ImageDetails.Latitude, ImageDetails.Longitude, ImageDetails.CityCode, AsciiName, ImageDetails.CountryCodeISO, CountryName, ImageDetails.ContinentCode, Path, Exif, SourceURL,Colors,CreatorURL,ActualCreator FROM (ImageDetails INNER JOIN Cities ON ImageDetails.CityCode = Cities.CityCode ) INNER JOIN Countries ON ImageDetails.CountryCodeISO = Countries.ISO";
    private static $constraint = ' ORDER BY ImageID';
    
    public function __construct($connection) {
        $this->pdo = $connection;
    }      

    public function findById($id)
    {
        $sql = self::$baseSQL .  ' WHERE ImageID=? ';
        $statement = DatabaseHelper::runQuery($this->pdo, $sql, Array($id));
        return $statement->fetch();
    }
    
    public function getAll()
    {
        $sql = self::$baseSQL . self::$constraint;
        $statement = DatabaseHelper::runQuery($this->pdo, $sql, null);
        return $statement;        
    }  
    
    
    public function findByCountry($country)
    {
        $sql = self::$baseSQL .  ' WHERE ImageDetails.CountryCodeISO=? ';
        $statement = DatabaseHelper::runQuery($this->pdo, $sql, Array($country));
        return $statement;
    }    
    
    public function findByContinent($continent)
    {
        $sql = self::$baseSQL .  ' WHERE ContinentCode=? ';
        $statement = DatabaseHelper::runQuery($this->pdo, $sql, Array($continent));
        return $statement;
    }      
    
    public function findLikeTitle($title)
    {
        $sql = self::$baseSQL .  ' WHERE Title LIKE ? ';
        $filter = '%' . $title . '%';
        $statement = DatabaseHelper::runQuery($this->pdo, $sql, Array($filter));
        return $statement;
    }       

}

?>