<?php
// to simplify, we have defined painting data as hard-coded array ... in real-world we would pull data from database instead
$paintings = [
   [ "PaintingID" => 441, "ArtistID" => 114, "FirstName" => "", "LastName" => "Giotto", "GalleryID" => 4, "GalleryName" => "Uffizi Museum", "ImageFileName" => "114020", "Title" => "Madonna Enthroned", "ShapeID" => 1, "MuseumLink" => "http://www.uffizi.firenze.it/catalogo/", "AccessionNumber" => "1890 8343", "CopyrightText" => "Public domain", "Description" => "Madonna Enthroned, also known as the Ognissanti Madonna, is a painting by the Italian late medieval artist Giotto di Bondone, housed in the Uffizi Gallery of Florence, Italy. It is generally dated to around 1310. The painting has a traditional Christian subject, representing the Virgin Mary and the Christ Child seated on her lap, with saints surrounding the two. It is celebrated often as the first painting of the Renaissance due to its newfound naturalism and escape from the constraints of Gothic art.", "Excerpt" => "The painting has a traditional Christian subject, representing the Virgin Mary and the Christ Child seated on her lap, with saints surrounding the two. It is celebrated often as the first painting of the Renaissance due to its newfound naturalism and escape from the constraints of Gothic art.", "YearOfWork" => 1310, "Width" => 325, "Height" => 204, "Medium" => "Tempura on Wood", "Cost" => 1500.0000, "MSRP" => 2000.0000, "GoogleLink" => "https://www.google.com/culturalinstitute/beta/asset/the-ognissanti-madonna/OgE-RDjvff-y6g", "GoogleDescription" => "The panel from 1306-10, ca. was originally placed on the old partition wall of the church of Ognissanti, officiated by the Umiliati friars before it was moved to their convent, at least by the end of the 17th century. In 1810, following the French suppression of convents, it was placed in the Accademia. It has been in the Uffizi since 1919.", "WikiLink" => "https://en.wikipedia.org/wiki/Ognissanti_Madonna" ],
   [ "PaintingID" => 578, "ArtistID" => 114, "FirstName" => "", "LastName" => "Giotto", "GalleryID" => 7, "GalleryName" => "National Gallery of Art", "ImageFileName" => "114030", "Title" => "Madonna and Child", "ShapeID" => 1, "MuseumLink" => "http://www.nga.gov/content/ngaweb/Collection/art-object-page.397.html", "AccessionNumber" => "1939.1.256", "CopyrightText" => "Open Access", "Description" => "Painted during the latter part of Giotto's career, the Madonna and Child was the central part of a five-section polyptych, or altarpiece in many panels (see Reconstruction). Giotto utilized a conservative Byzantine-style background in gold leaf, symbolizing the realm of heaven, and included a white rose, the traditional symbol of Mary's purity as well as a reference to the innocence lost through Original Sin. Yet, the Madonna and Child introduces a new naturalistic trend in painting. Instead of making the blessing gesture of a philosopher, the infant Christ grasps his mother's left index finger in a typically baby-like way as he playfully reaches for the flower that she holds.", "Excerpt" => "Painted during the latter part of Giotto's career, the Madonna and Child was the central part of a five-section polyptych", "YearOfWork" => 1315, "Width" => 62, "Height" => 85, "Medium" => "Tempera on panel", "Cost" => 1900.0000, "MSRP" => 2300.0000, "GoogleLink" => "", "GoogleDescription" => "", "WikiLink" => ""],
   [ "PaintingID" => 598, "ArtistID" => 141, "FirstName" => "Agnolo", "LastName" => "Gaddi", "GalleryID" => 6, "GalleryName" => "Metropolitan Museum of Art", "ImageFileName" => "141010", "Title" => "Saint Margaret and the Dragon", "ShapeID" => 1, "MuseumLink" => "http://www.metmuseum.org/art/collection/search/436429", "AccessionNumber" => "41.190.23", "CopyrightText" => "Open Access for Scholarly Content", "Description" => "Together with two other small panels, this depiction of Saint Margaret emerging from the mouth of a dragon formed part of the predella of an unidentified altarpiece. Supposedly martyred in 304, legend had it that Margaret was swallowed by Satan in the guise of a dragon, but emerged unscathed due to the cross she possessed.", "Excerpt" => "Together with two other small panels, this depiction of Saint Margaret emerging from the mouth of a dragon formed part of the predella of an unidentified altarpiece.", "YearOfWork" => 1390, "Width" => 20, "Height" => 23, "Medium" => "Tempera on wood", "Cost" => 1500.0000, "MSRP" => 1900.0000, "GoogleLink" => "", "GoogleDescription" => "", "WikiLink" => ""],
   [ "PaintingID" => 549, "ArtistID" => 134, "FirstName" => "Rogier van der", "LastName" => "Weyden", "GalleryID" => 18, "GalleryName" => "Art History Museum (Vienna)", "ImageFileName" => "134040", "Title" => "Triptych: The Crucifixion", "ShapeID" => 2, "MuseumLink" => "https://www.khm.at/de/object/5a1e3a5aed/", "AccessionNumber" => "901", "CopyrightText" => "Only for private use", "Description" => "Today this Crucifixion scene is spread across a winged altar, but it was probably originally a single panel, with the frame only painted on to it. Not long after it was created, however, the work was sawn into three parts, making the portraits of St. Mary Magdalene and St. Veronica wings of a triptych. Given its original condition, it makes van der Weyden's artistic innovation even more significant: for the first time he unites all of the participants- the Crucifixion group, saints and the donors - in front of a continuous landscape, in which an idealised Jerusalem appears on the horizon. The realism of such a unified space had never been attempted in earlier works. Unknown today, the patrons are separated only by a conspicuous fissure in the ground from the central subject of religious contemplation, a concept that was so progressive that it was initially attenuated in the paintings of the period that followed.", "Excerpt" => "Today this Crucifixion scene is spread across a winged altar, but it was probably originally a single panel, with the frame only painted on to it. Not long after it was created, however, the work was sawn into three parts, making the portraits of St. Mary Magdalene and St. Veronica wings of a triptych.", "YearOfWork" => 1444, "Width" => 131, "Height" => 101, "Medium" => "Oil on panel", "Cost" => 2000.0000, "MSRP" => 2400.0000, "GoogleLink" => "https://www.google.com/culturalinstitute/beta/asset/triptych-the-crucifixion/3gF9kN6BYvNuxw?hl=en", "GoogleDescription" =>"", "WikiLink" => ""],
[ "PaintingID" => 543, "ArtistID" => 134, "FirstName" => "Rogier van der", "LastName" => "Weyden", "GalleryID" => 24, "GalleryName" => "Hermitage Museum", "ImageFileName" => "134030", "Title" => "St Luke Drawing the Virgin", "ShapeID" => 3, "MuseumLink" => "https://www.hermitagemuseum.org/wps/portal/hermitage/digital-collection/01.+Paintings/38861/?lng=en", "AccessionNumber" => 419, "CopyrightText" => "Personal non-commercial use", "Description" => "The subject is taken from a 6th-century legend of Greek origin, according to which St Luke was the first ever to draw a portrait of the Virgin Mary. Artists saw Luke as the patron of their art. Rogier van der Weyden set the action in an open loggia. To the left, at the foot of a throne, sits the Virgin, feeding the Christ Child. The throne, hinting at her future status as the Queen of Heaven, is decorated with sculptural figures of Adam and Eve, indicating that Christ and the Virgin will atone for their Original Sin. Opposite the Madonna, St Luke has sunk respectfully to his knees as he seeks to capture her appearance. The artist manages to convey both Luke's trembling reverence and his concentration on his drawing. Behind St Luke we can just see a bull and a book, both traditional attributes of the Apostle Luke. Two figures contemplating the landscape from the battlements possibly represent Joachim and Anna, the Virgin's parents.", "Excerpt" => "The subject is taken from a 6th-century legend of Greek origin, according to which St Luke was the first ever to draw a portrait of the Virgin Mary.", "YearOfWork" => 1445, "Width" => 108, "Height" => 102, "Medium" => "Oil on canvas", "Cost" => 900.0000, "MSRP" => 1100.0000, "GoogleLink" =>"", "GoogleDescription" =>"", "WikiLink" => ""],

   [ "PaintingID" => 550, "ArtistID" => 115, "FirstName" => "Jan", "LastName" => "van Eyck", "GalleryID" => 18, "GalleryName" => "Art History Museum (Vienna)", "ImageFileName" => "115030", "Title" => "Cardinal Niccolo Albergati", "ShapeID" => 1, "MuseumLink" => "https://www.khm.at/de/object/fccb3cdc9a/", "AccessionNumber" => "975", "CopyrightText" => "Only for private use", "Description" => "During a peace congress that was seeking to bring an end to decades of enmity between France and Burgundy, van Eyck painted portraits of some of those in attendance, among them, most likely, Cardinal Niccoli Albergati, who in his position as nuncio was one the most important participants in the negotiations. In Arras, van Eyck created a silverpoint drawing (Dresden, Staatliche Kunstsammlungen, Kupferstichkabinett), which most probably depicts the cardinal. Here the Flemish painter not only captured the physiognomy of the aged cleric but in his notes also specified the coloration.", "Excerpt" => "During a peace congress that was seeking to bring an end to decades of enmity between France and Burgundy, van Eyck painted portraits of some of those in attendance, among them, most likely, Cardinal Niccoli Albergati, who in his position as nuncio was one the most important participants in the negotiations.", "YearOfWork" => 1435, "Width" => 34, "Height" => 29, "Medium" => "Oil on canvas", "Cost" => 700.0000, "MSRP" => 900.0000, "GoogleLink" => "https://www.google.com/culturalinstitute/beta/asset/kardinal-niccol%C3%B2-albergati/0AEB0A0Fyh6sBw?hl=en", "GoogleDescription" =>"", "WikiLink" => ""],    
[ "PaintingID" => 370, "ArtistID" => 93, "FirstName" => "Piero della", "LastName" => "Francesca", "GalleryID" => 5, "GalleryName" => "National Gallery", "ImageFileName" => "093010", "Title" => "Baptism of Christ", "ShapeID" => 1, "MuseumLink" => "https://www.nationalgallery.org.uk/paintings/piero-della-francesca-the-baptism-of-christ", "AccessionNumber" => "NG665", "CopyrightText" => "Creative Commons BY-NC-ND 4.0", "Description" => "The Baptism of Christ was commissioned presumably some time about 1440 by the Camaldolese Monastery of Sansepolcro in Tuscany, originally part of a triptych. Its dating to Piero della Francesca's early career is evidenced by the strong relationship with the light painting of his master, Domenico Veneziano. It portrays Christ being baptised by John, his head surmounted by a dove representing the Holy Spirit. Christ, John's hand, the bird and the bowl form an axis which divides the painting in two symmetrical parts. A second division is created by the tree on the left, which instead divides it according to the golden ratio.", "Excerpt" => "The Baptism of Christ was commissioned presumably some time about 1440 by the Camaldolese Monastery of Sansepolcro in Tuscany, originally part of a triptych.", "YearOfWork" => 1450, "Width" => 167, "Height" => 116, "Medium" => "Tempera on panel", "Cost" => 900.0000, "MSRP" => 1100.0000, "GoogleLink" => "", "GoogleDescription" => "", "WikiLink" => "http://en.wikipedia.org/wiki/Baptism_of_Christ_(Piero_della_Francesca)" ],
[ "PaintingID" => 542, "ArtistID" => 134, "FirstName" => "Rogier van der", "LastName" => "Weyden", "GalleryID" => 27, "GalleryName" => "J. Paul Getty Museum", "ImageFileName" => "134020", "Title" => "Portrait of Isabella of Portugal", "ShapeID" => 1, "MuseumLink" => "http://www.getty.edu/art/collection/objects/651/workshop-of-rogier-van-der-weyden-portrait-of-isabella-of-portugal-netherlandish-about-1450/", "AccessionNumber" => "78.PB.3", "CopyrightText" => "Public domain", "Description" => "Seated with her hands crossed in her lap, Isabella of Portugal, the duchess of Burgundy, conveys the poise and confidence of her noble position. Her sumptuous attire, heavily woven with gold thread, and her jeweled fingers and headdress reflect her aristocratic status. Oddly, the artist did not match the patterns of the sleeves, as would have been customary during this period.", "Excerpt" => "Seated with her hands crossed in her lap, Isabella of Portugal, the duchess of Burgundy, conveys the poise and confidence of her noble position.", "YearOfWork" => 1450, "Width" => 37, "Height" => 46, "Medium" => "Oil on canvas", "Cost" => 700.0000, "MSRP" => 900.0000, "GoogleLink" => "https://www.google.com/culturalinstitute/beta/asset/portrait-of-isabella-of-portugal/dQFnG1h6Jg1hYg?hl=en", "GoogleDescription" =>"", "WikiLink" => ""],
[ "PaintingID" => 374, "ArtistID" => 94, "FirstName" => "Andrea", "LastName" => "Mantegna", "GalleryID" => 18, "GalleryName" => "Art History Museum (Vienna)", "ImageFileName" => "094020", "Title" => "St. Sebastian", "ShapeID" => 5, "MuseumLink" => "https://www.khm.at/de/object/285f89b802/", "AccessionNumber" => "301", "CopyrightText" => "Only for private use", "Description" => "St. Sebastian is the subject of three paintings by the Italian Early Renaissance master Andrea Mantegna. The Paduan artist lived in a period of frequent plagues; Sebastian was considered protector against the plague as having been shot through by arrows, and it was thought that plague spread abroad through the air.", "Excerpt" => "St. Sebastian is the subject of three paintings by the Italian Early Renaissance master Andrea Mantegna. The Paduan artist lived in a period of frequent plagues; Sebastian was considered protector against the plague as having been shot through by arrows, and it was thought that plague spread abroad through the air.", "YearOfWork" => 1457, "Width" => 300, "Height" => 680, "Medium" => "Oil on panel", "Cost" => 900.0000, "MSRP" => 1200.0000, "GoogleLink" => "http://www.googleartproject.com/collection/kunsthistorisches-museum-vienna-museum-of-fine-arts/artwork/st-sebastian-andrea-mantegna/677761/", "GoogleDescription" => "", "WikiLink" => "http://en.wikipedia.org/wiki/St._Sebastian_of_Vienna_(Mantegna)" ],
[ "PaintingID" => 369, "ArtistID" => 92, "FirstName" => "Filippo", "LastName" => "Lippi", "GalleryID" => 41, "GalleryName" => "Picture Gallery (Berlin)", "ImageFileName" => "092040", "Title" => "Adoration in the Forest", "ShapeID" => 3, "MuseumLink" => "http://www.smb-digital.de/eMuseumPlus?service=ExternalInterface&module=collection&objectId=864730&viewType=detailView", "AccessionNumber" => "69", "CopyrightText" => "Creative Commons Attribution-NonCommercial-ShareAlike 3.0", "Description" => "Adoration in the Forest is a painting completed before 1459 by the Carmelite friar, Filippo Lippi, of the Virgin Mary and the newly born Christ Child lying on the ground, in the unusual setting of a steep, dark, wooded wilderness. There are no shepherds, kings, ox, ass, there is no Joseph. It was painted for one of the wealthiest men in Renaissance Florence, the banker Cosimo de Medici. In later times it had a turbulent history. Hitler ordered it to be hidden in WW2 and it became part of the story of a mutiny in the U.S. Army.", "Excerpt" => "Adoration in the Forest is a painting completed before 1459 by the Carmelite friar, Filippo Lippi, of the Virgin Mary and the newly born Christ Child lying on the ground, in the unusual setting of a steep, dark, wooded wilderness.", "YearOfWork" => 1459, "Width" => 1185, "Height" => 1295, "Medium" => "Oil on wood", "Cost" => 1200.0000, "MSRP" => 1600.0000, "GoogleLink" => "http://www.googleartproject.com/collection/gemaldegalerie-staatliche-museen-zu-berlin/artwork/the-adoration-in-the-forest-filippo-lippi/331331/", "GoogleDescription" =>"", "WikiLink" => "http://en.wikipedia.org/wiki/Adoration_in_the_Forest_(Lippi)" ],          
 
[ "PaintingID" => 366, "ArtistID" => 92, "FirstName" => "Filippo", "LastName" => "Lippi", "GalleryID" => 4, "GalleryName" => "Uffizi Museum", "ImageFileName" => "092010", "Title" => "Madonna and Child", "ShapeID" => 1, "MuseumLink" => "http://www.uffizi.firenze.it/catalogo/", "AccessionNumber" => "1890, 1598", "CopyrightText" => "Public domain", "Description" => "Madonna with Child is a painting by the Italian Renaissance artist Filippo Lippi, executed around 1465. It is one of the few works by Lippi which was not executed with the help of his workshop and was an influential model for later depictions of the Madonna and Child, including those by Sandro Botticelli.", "Excerpt" =>"Madonna with Child is a painting by the Italian Renaissance artist Filippo Lippi, executed around 1465. It is one of the few works by Lippi which was not executed with the help of his workshop and was an influential model for later depictions of the Madonna and Child, including those by Sandro Botticelli.", "YearOfWork" => 1465, "Width" => 95, "Height" => 64, "Medium" => "Tempera on panel", "Cost" => 500.0000, "MSRP" => 600.0000, "GoogleLink" => "https://www.google.com/culturalinstitute/beta/asset/madonna-and-child-with-two-angels/9AE9qn4SE5pOPg", "GoogleDescription" => "A famous example of the artist's maturity, this painting was transferred to the Uffizi in 1796 from the Villa of Poggio Imperiale. Thanks to the spontaneity and naturalness of the composition, it reaped great interest as an iconographic model for numerous artists including the young Botticelli, apprenticed to the friar Lippi. On the back of the panel there is an autograph charcoal sketch of a female figure.", "WikiLink" => "http://en.wikipedia.org/wiki/Madonna_and_Child_(Fra_Lippo_Lippi)" ],

   [ "PaintingID" => 561, "ArtistID" => 135, "FirstName" => "Giovanni", "LastName" => "Bellini", "GalleryID" => 81, "GalleryName" => "Brera Art Gallery", "ImageFileName" => "135010", "Title" => "Pieta", "ShapeID" => 2, "MuseumLink" => "http://pinacotecabrera.org/en/collezione-online/opere/pieta-giovanni-bellini/", "AccessionNumber" => "228", "CopyrightText" => "Public domain", "Description" => "The panel, dated to the years between 1465 and 1470, marks an evident emancipation of the artist from the influence of Andrea Mantegna, to whom he was linked not just by cultural affinities but also by close ties of kinship (they were brothers-in-law).", "Excerpt" => "The panel, dated to the years between 1465 and 1470, marks an evident emancipation of the artist from the influence of Andrea Mantegna, to whom he was linked not just by cultural affinities but also by close ties of kinship.", "YearOfWork" => 1470, "Width" => 107, "Height" => 86, "Medium" => "Tempera on panel", "Cost" => 900.0000, "MSRP" => 1200.0000, "GoogleLink" =>"", "GoogleDescription" =>"", "WikiLink" => ""],
[ "PaintingID" => 386, "ArtistID" => 97, "FirstName" => "Leonardo", "LastName" => "da Vinci", "GalleryID" => 4, "GalleryName" => "Uffizi Museum", "ImageFileName" => "097020", "Title" => "Annunciation", "ShapeID" => 4, "MuseumLink" => "http://www.uffizi.firenze.it/catalogo/", "AccessionNumber" => "1890, 1618", "CopyrightText" => "Public domain", "Description" => "This is a painting of the traditional subject of the Annunciation, by the Italian Renaissance artists Leonardo da Vinci and Andrea del Verrocchio, dating from circa 1472-1475 and housed in the Uffizi Gallery of Florence, Italy. The angel holds a Madonna lily, a symbol of Mary's virginity and of the city of Florence. It is supposed that Leonardo originally copied the wings from those of a bird in flight, but they have since been lengthened by a later artist.", "Excerpt" => "This is a painting of the traditional subject of the Annunciation, by the Italian Renaissance artists Leonardo da Vinci and Andrea del Verrocchio, dating from circa 1472-1475 and housed in the Uffizi Gallery of Florence, Italy. The angel holds a Madonna lily, a symbol of Mary's virginity and of the city of Florence.", "YearOfWork" => 1472, "Width" => 98, "Height" => 217, "Medium" => "Oil and tempera on panel", "Cost" => 550.0000, "MSRP" => 620.0000, "GoogleLink" => "http://www.googleartproject.com/collection/uffizi-gallery/artwork/annunciation-leonardo-da-vinci/324474/", "GoogleDescription" => "The original location and commissioning of this work are unknown. It was painted at about the time Leonardo was still at Verroccchio's workshop (1472, ca.) It came to the Uffizi in 1867 from the sacristy of San Bartolomeo a Monteoliveto outside the gate of San Frediano. One can already see the careful attention to the atmospheric changes in the landscape which will be further developed by the artist in later work. The work is meant to be seen from below and from the right. From this point of view certain details come into proper alignment such as the keystones on the building, the foreshortening of the Virgin's arm and the lectern.", "WikiLink" => "http://en.wikipedia.org/wiki/Annunciation_(Leonardo)" ],
 
   [ "PaintingID" => 560, "ArtistID" => 93, "FirstName" => "Piero della", "LastName" => "Francesca", "GalleryID" => 81, "GalleryName" => "Brera Art Gallery", "ImageFileName" => "093020", "Title" => "The Virgin with Child, Angels and Saints", "ShapeID" => 1, "MuseumLink" => "http://pinacotecabrera.org/en/collezione-online/opere/the-virgin-with-child-angels-and-saints/", "AccessionNumber" => "180", "CopyrightText" => "Public domain", "Description" => "After the Napoleonic abolitions, the altarpiece came to Brera from the church of San Bernardino in Urbino, erected by Federico da Montefeltro to house his own grave. It is likely that Federico commissioned it after the birth of his heir, followed by the death of his wife Battista Sforza (1472), and that he wanted to underline the protection granted by the Virgin to his own dynastic authority through this work dense in symbols.", "Excerpt" => "After the Napoleonic abolitions, the altarpiece came to Brera from the church of San Bernardino in Urbino, erected by Federico da Montefeltro to house his own grave.", "YearOfWork" => 1474, "Width" => 172, "Height" => 252, "Medium" => "Tempera on panel", "Cost" => 2500.0000, "MSRP" => 4000.0000, "GoogleLink" =>"", "GoogleDescription" =>"", "WikiLink" => ""],

[ "PaintingID" => 387, "ArtistID" => 97, "FirstName" => "Leonardo", "LastName" => "da Vinci", "GalleryID" => 7, "GalleryName" => "National Gallery of Art", "ImageFileName" => "097030", "Title" => "Ginevra de' Benci", "ShapeID" => 3, "MuseumLink" => "http://www.nga.gov/content/ngaweb/Collection/art-object-page.50724.html", "AccessionNumber" => "1967.6.1.a", "CopyrightText" => "Open Access", "Description" => "Ginevra de Benci was an aristocrat from 15th-century Florence, admired for her intelligence by Florentine contemporaries. She is the subject of a portrait painting by Leonardo da Vinci. The oil-on-wood portrait was acquired by the National Gallery of Art in Washington, D.C., in 1967, for US$5 million paid to the Princely House of Liechtenstein, a record price at the time, from the Ailsa Mellon Bruce Fund. It is the only painting by Leonardo on public view in the Americas.", "Excerpt" => "Ginevra de Benci was an aristocrat from 15th-century Florence, admired for her intelligence by Florentine contemporaries. She is the subject of a portrait painting by Leonardo da Vinci.", "YearOfWork" => 1474, "Width" => 38, "Height" => 37, "Medium" => "Oil on panel", "Cost" => 650.0000, "MSRP" => 900.0000, "GoogleLink" => "http://www.googleartproject.com/collection/national-gallery-of-art-washington-dc/artwork/ginevra-de-benci-leonardo-da-vinci/714778/", "GoogleDescription" =>"", "WikiLink" => "http://en.wikipedia.org/wiki/Ginevra_de%27_Benci" ],
 [ "PaintingID" => 380, "ArtistID" => 95, "FirstName" => "Sandro", "LastName" => "Botticelli", "GalleryID" => 4, "GalleryName" => "Uffizi Museum", "ImageFileName" => "095050", "Title" => "Adoration of the Magi", "ShapeID" => 2, "MuseumLink" => "http://www.uffizi.firenze.it/catalogo/", "AccessionNumber" => "1890, 882", "CopyrightText" => "Public domain", "Description" => "The Adoration of the Magi is a painting by the Italian Renaissance master Sandro Botticelli, dating from 1475 or 1476. It is housed in the Uffizi of Florence. Botticelli was commissioned to paint at least seven versions of The Adoration of the Magi. The Adoration of the Magi theme was popular in the Renaissance Florence. The work was commissioned by Gaspare di Zanobi del Lama, a banker of humble origins and dubious morality connected to the House of Medici, for his chapel in the church of Santa Maria Novella (now destroyed). In the scene are present numerous characters among which are several members of the Medici family: Cosimo de' Medici (the Magus kneeling in front of the Virgin, described by Vasari as 'the finest of all that are now extant for its life and vigour'), his sons Piero (the second Magus kneeling in the centre with the red mantle) and Giovanni (the third Magus), and his grandsons Giuliano and Lorenzo. The three Medici portrayed as Magi were all dead at the time the picture was painted, and Florence was effectively ruled by Lorenzo.", "Excerpt" => "The Adoration of the Magi is a painting by the Italian Renaissance master Sandro Botticelli, dating from 1475 or 1476.", "YearOfWork" => 1475, "Width" => 111, "Height" => 134, "Medium" => "Tempera on panel", "Cost" => 800.0000, "MSRP" => 600.0000, "GoogleLink" => "http://www.googleartproject.com/collection/uffizi-gallery/artwork/adoration-of-the-magi-botticelli-filipepi/324472/", "GoogleDescription" => "Commissioned by merchant broker of the Money Changing Guild, Guasparre di Zanobi del Lama for his chapel in Santa Maria Novella in Florence, this small panel depicts Cosimo the Elder and his sons Giovanni and Piero as the Magi, with Lorenzo il Magnifico and his brother Giuliano looking on. Facing the observer, we recognize the artist in a yellow cloak and the patron in a blue robe wearing white gloves.", "WikiLink" => "http://en.wikipedia.org/wiki/Adoration_of_the_Magi_of_1475_(Botticelli)" ]

 ];


?>